CREATE OR REPLACE PROCEDURE sp_fdt_baja_embargos
(
    pch_compania    char,
    pch_trabajador  char,
    psi_concepto    smallint,
    pti_secuencia   smallint
)
AS
BEGIN
    BEGIN
        UPDATE fdt_embargos	
        SET situacion = 2, fecha_baja = sysdate
        WHERE compania = pch_compania And
              trabajador = pch_trabajador And
              concepto = psi_concepto And
              secuencia = pti_secuencia;
    EXCEPTION
	WHEN OTHERS THEN
	raise_application_error(-20001, 'Error al actualizar la tabla [fdt_Embargos]');
	return;
    END;
    COMMIT WORK;
END;
/
CREATE PUBLIC SYNONYM sp_fdt_baja_embargos FOR ADAM.sp_fdt_baja_embargos;
GRANT EXECUTE ON sp_fdt_baja_embargos TO adama;

